%define upstream_name    Catalyst-View-Email
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Templated Email View for [% app %]
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::SASL) >= 2.130.0
BuildRequires: perl(Catalyst) >= 5.700.0
BuildRequires: perl(Email::MIME) >= 1.859.0
BuildRequires: perl(Email::MIME::Creator) >= 1.455.0
BuildRequires: perl(Email::Sender::Simple) >= 0.100.110
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::Base64) >= 3.80.0
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent) >= 0.223.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Helper for Email Views.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.360.0-3.mga6
+ Revision: 1023401
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.360.0-2.mga6
+ Revision: 969974
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 884414
- update to 0.36

* Mon Jun 29 2015 sander85 <sander85> 0.350.0-1.mga6
+ Revision: 848107
- update to 0.35

* Sun Oct 19 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 789666
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 751093
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - add exclude

* Tue May 20 2014 jquelin <jquelin> 0.340.0-1.mga5
+ Revision: 624173
- update to 0.34

* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-2.mga4
+ Revision: 526818
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.330.0-1.mga4
+ Revision: 438845
- update to 0.33

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 364118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 59626
- update to 0.31

* Thu Jan 27 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 42019
- mageia rebuild
- imported package perl-Catalyst-View-Email

